.services2-section
  position relative

.services2-section__inner
  padding-top 108px
  padding-bottom 161px

  +fbp(sm)
    padding-top 80px
    padding-bottom 100px

  +fbp(xs)
    padding-top 60px
    padding-bottom 60px

.services2-section__heading
  margin-bottom 64px

  +fbp(xs)
    margin-bottom 30px

.services2-section__slider
  position relative

  &:after
    content ''
    position absolute
    width 100vw
    height 100%
    right 100%
    top 0
    background-color $secondary7
    opacity 0.9
    z-index 2

  &:before
    content ''
    position absolute
    width 100vw
    height 100%
    left 100%
    top 0
    background-color $secondary7
    opacity 0.9
    z-index 2

  .swiper-wrapper
  .swiper-container
    overflow visible

  .swiper-slide
    height auto
    display flex
    max-width 580px
    margin-right 20px

  .swiper-container:not(.swiper-container-initialized) .swiper-slide:not(:first-child)
    display none

  .swiper-button-prev
  .swiper-button-next
    top -136px
    margin-top 0

  .swiper-button-prev
    left auto
    right 50px

  .swiper-button-next
    right 0

  +fbp(sm)
    .swiper-button-prev
    .swiper-button-next
      top -119px

    .swiper-slide
      max-width none

  +fbp(xs)
    .swiper-button-prev
    .swiper-button-next
      top 50%
      transform translateY(-50%)

    .swiper-button-prev
      right auto
      left 0

.service-preview
  background $secondary
  color $white
  position relative
  width 100%
  display flex
  z-index 0
  text-decoration none
  min-height 289px
  overflow hidden

  &:hover
    .service-preview__hover
      opacity 1

      span
        transform translateX(0)

  +fbp(xs)
    padding-top 300px

.service-preview__text
  padding 43px
  padding-bottom 20px
  display flex
  flex-direction column
  justify-content space-between
  width 100%
  position relative
  z-index 1
  background $secondary

  &:before
    content ''
    position absolute
    right 0
    bottom 0
    background-color $primary

  +fbp(xs)
    max-width none
    padding 15px

    &:before
      display none

.service-preview__title
  font-family $secondaryFont
  font-weight 600
  font-size 20px
  line-height 1.2
  text-transform uppercase
  color $white
  margin-bottom 0.55em
  max-width 230px

.service-preview__descr
  font-size 14px
  line-height 1.285714
  color $secondary7
  margin-bottom 20px
  max-width 230px

.service-preview__image
  position absolute
  left 230px
  right 0
  top 0
  height 100%
  z-index -1

  img
    abs100()
    objectFitCover()

  +fbp(xs)
    left 0
    height 300px
    width 100%

.service-preview__logo
  font-size 0
  line-height 1

  img
    max-width 66px
    height auto

.service-preview__hover
  abs100()
  z-index 10
  background rgba($secondary, 0.8)
  display flex
  align-items center
  justify-content center
  transition all 0.3s
  opacity 0

  span
    width 163px
    font-weight 500
    font-size 16px
    line-height 100%
    display block
    padding-bottom 34px
    position relative
    transition all 0.3s
    transform translateX(-40px)

    &:before
      content ''
      position absolute
      width 163px
      height 38px
      left 0
      bottom 0
      background url(/images/arrow.svg) no-repeat 0 0
      background-size contain
